package eu.mhsl.minenet.minigames.api.routes.queueRoom;

import eu.mhsl.minenet.minigames.api.Controller;
import eu.mhsl.minenet.minigames.api.QueuedPlayerRooms;
import eu.mhsl.minenet.minigames.instance.room.Room;
import spark.Response;

import java.util.UUID;

record Req(UUID player, UUID room) {}
record Resp() {}
public class QueueRoom extends Controller<Req, Resp> {
    @Override
    public Resp handle(Req request, Response response) throws Exception {
        if(Room.getRoom(request.room()).isEmpty()) throw new Exception("Room not found");
        QueuedPlayerRooms.queuePlayer(request.player(), request.room());
        return new Resp();
    }
}
